dist: trusty

language: d

os:
 - linux

d:
 - dmd

script:
  - dub build --build=cov
  - cd example
  - dub ce_runnable.d --build=cov
  - dub ce_runnable_symbols.d --build=cov
  
after_success:
 - bash <(curl -s https://codecov.io/bash)  
